﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO.Ports;

namespace SerialPortSample1_CS_Client
{
	class Program
	{
		static void Main(string[] args)
		{
			SerialPort port = new SerialPort("COM1", 9600, Parity.None, 8, StopBits.One);
			port.Open();
			port.DtrEnable = true;
			port.RtsEnable = true;

			string req = "HELLO";
			port.WriteLine(req);
			Console.WriteLine("サーバに送信したメッセージ: \"" + req + "\"");

			string res = port.ReadLine();
			Console.WriteLine("サーバから受信したメッセージ: \"" + res + "\"");

			port.Close();
			port.Dispose();

			Console.WriteLine("何かキーを押すと終了します。");
			Console.ReadLine();
		}
	}
}
