﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO.Ports;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        private SerialPort port;
        delegate void SetTextCallback(string text);
        
        public Form1()
        {
            InitializeComponent();
        }

        private void label1_Click(object sender, EventArgs e)
        {

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            port = new SerialPort("COM1", 38400, Parity.None, 8, StopBits.One);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            port.Open();
            port.DataReceived += new SerialDataReceivedEventHandler(SerialPort_TimeGet);
            port.DtrEnable = true;
            port.RtsEnable = true;
        }
        private void SerialPort_TimeGet(object sender, SerialDataReceivedEventArgs e)
        {
            SerialPort get_port = (SerialPort)sender;
            byte[] buf = new byte[1024];
            if(get_port.BytesToRead >= 7)
            {
                int len = get_port.Read(buf, 0, 1024);
                string s = Encoding.GetEncoding("Shift_JIS").GetString(buf, 0, len);
                SetLaRS232_text(s);
            }
        }
        private void SetLaRS232_text(string s)
        {
            if(LaRS232_time.InvokeRequired)
            {
                SetTextCallback d = new SetTextCallback(SetLaRS232_text);
                Invoke(d, new object[] { s });
            }
            else
            {
                LaRS232_time.Text = s;
            }
        }

    }
}
